function dydt = deriv(y, nu, mu, epsilon, beta, gamma, Gamma, q)
    S = y(1);
    I = y(2);
    R = y(3);
    C = y(4);
    dSdt = nu - (beta*I + epsilon*beta*C)*S - mu*S;
    dIdt = (beta*I + epsilon*beta*C)*S - gamma*I - mu*I;
    dRdt = gamma*(1-q)*I + Gamma*C - mu*R;
    dCdt = gamma*q*I - Gamma*C - mu*C;
    dydt = [dSdt; dIdt; dRdt; dCdt];
end

